| gclib 421 Communications API for Galil controllers and PLCs |

Data Fields
GDataRecord47300_ENC Struct Reference

Data record struct for RIO-47300. Includes encoder fields. More...

`#include <gclib_record.h>`

## Data Fields
UB | header_0
| 1st Byte of Header.
UB | header_1
| 2nd Byte of Header.
UB | header_2
| 3rd Byte of Header.
UB | header_3
| 4th Byte of Header.
UW | sample_number
| Sample number.
UB | error_code
| Error code.
UB | general_status
| General status.
UW | output_analog_0
| Analog output 0.
UW | output_analog_1
| Analog output 1.
UW | output_analog_2
| Analog output 2.
UW | output_analog_3
| Analog output 3.
UW | output_analog_4
| Analog output 4.
UW | output_analog_5
| Analog output 5.
UW | output_analog_6
| Analog output 6.
UW | output_analog_7
| Analog output 7.
UW | input_analog_0
| Analog input 0.
UW | input_analog_1
| Analog input 1.
UW | input_analog_2
| Analog input 2.
UW | input_analog_3
| Analog input 3.
UW | input_analog_4
| Analog input 4.
UW | input_analog_5
| Analog input 5.
UW | input_analog_6
| Analog input 6.
UW | input_analog_7
| Analog input 7.
UW | output_bank_0
| Digital outputs 0-15;.
UW | output_bank_1
| Digital outputs 16-23;.
UW | input_bank_0
| Digital inputs 0-15;.
UW | input_bank_1
| Digital inputs 16-23;.
UL | pulse_count_0
| Pulse counter (see PC).
SL | zc_variable
| ZC User-defined variable (see ZC).
SL | zd_variable
| ZD User-defined variable (see ZD).
SL | encoder_0
| Encoder channel 0. Data only valid for parts with -BISS, -QUAD, or -SSI.
SL | encoder_1
| Encoder channel 1. Data only valid for parts with -BISS, -QUAD, or -SSI.
SL | encoder_2
| Encoder channel 2. Data only valid for parts with -BISS, -QUAD, or -SSI.
SL | encoder_3
| Encoder channel 3. Data only valid for parts with -BISS, -QUAD, or -SSI.

## Detailed Description

Data record struct for RIO-47300. Includes encoder fields.

Definition at line 917 of file gclib_record.h.

The documentation for this struct was generated from the following file:

- gclib_record.h